---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab variable`

Manage variables for a GitLab project or group.

## Aliases

```plaintext
var
```

## Options

```plaintext
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```

## Subcommands

- [`delete`](delete.md)
- [`export`](export.md)
- [`get`](get.md)
- [`list`](list.md)
- [`set`](set.md)
- [`update`](update.md)
